de.vc.io.rtf.parser

## Class DefaultTokenHandler

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.DefaultTokenHandler

- Direct Known Subclasses:
    DefinitionHandler, DocInfo, DocumentHandler, ListLevel, ListOverride, ListOverrideTable, ListTable, PropertyHandler, RTFList

      public abstract class DefaultTokenHandler
      extends TokenHandler

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultTokenHandler(Definitions defs, TokenInput parser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RTFProperties` | `getCurrentProperties()`
    `ParserState` | `getParserState()`
    `TokenInput` | `getTokenInput()`
    `void` | `handleBraceClosed()`
    `void` | `handleBraceOpened()`
    `boolean` | `handleControl(Token token)`
    `boolean` | `handleText(java.lang.String text, ParserState state)`
    `byte[]` | `readTextBytes(boolean passBraces)`
    `java.lang.String` | `readTextOnly(boolean passBraces, java.lang.String encoding)`
    `void` | `skipCurrentLevel()`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleOptionalHyphen, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTokenHandler

          protected DefaultTokenHandler(Definitions defs,
                             TokenInput parser)

  - ### Method Detail

    - #### getParserState

          public final ParserState getParserState()

    - #### getCurrentProperties

          public final RTFProperties getCurrentProperties()

    - #### skipCurrentLevel

          public void skipCurrentLevel()
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readTextOnly

          public java.lang.String readTextOnly(boolean passBraces,
                                      java.lang.String encoding)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readTextBytes

          public byte[] readTextBytes(boolean passBraces)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTokenInput

          public TokenInput getTokenInput()

    - #### handleBraceOpened

          public void handleBraceOpened()

      Specified by:
        `handleBraceOpened` in class `TokenHandler`

    - #### handleBraceClosed

          public void handleBraceClosed()

      Specified by:
        `handleBraceClosed` in class `TokenHandler`

    - #### handleText

          public boolean handleText(java.lang.String text,
                           ParserState state)

      Specified by:
        `handleText` in class `TokenHandler`

    - #### handleControl

          public boolean handleControl(Token token)

      Specified by:
        `handleControl` in class `TokenHandler`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.